@mixin font-face($style-name, $file, $category:"") {
    $filepath: "../static/fonts/"+ $file;

    @font-face {
        font-family: "#{$style-name}";
        src: url($filepath + ".eot");
        src: url($filepath + ".eot?#iefix") format('embedded-opentype'), url($filepath + ".woff") format('woff'), url($filepath + ".ttf") format('truetype'), url($filepath + ".svg#" + $style-name + "") format('svg');
        font-display: block;
    }

    %#{$style-name} {
        font: {
            @if $category !="" {
                family: "#{$style-name}",
                #{$category};
            }

            @else {
                family: "#{$style-name}";
                weight: normal;
            }
        }
    }
}

@include font-face('PSLDisplayPro', 'PSLDisplayPro', 'tahoma');
@include font-face('serithai-bold', 'serithai-bold', 'tahoma');
@include font-face('serithai-medium', 'serithai-medium', 'tahoma');
@include font-face('serithai-semibold', 'serithai-semibold', 'tahoma');
@include font-face('serithaicondensed-medium', 'serithaicondensed-medium', 'tahoma');
@include font-face('serithaicondensed-semibold', 'serithaicondensed-semibold', 'tahoma');